Results 1 to 4 of 4

Thread: Paperspace viewport ID command

  1. #1
    I could stop if I wanted to
    Join Date
    2001-01
    Posts
    257
    Login to Give a bone
    0

    Default Paperspace viewport ID command

    Hi All

    When I set up my elevations or building sections, I typically set the top of subfloor in modelspace to elevation 0,0 or to the elevation the civil engineer has assign to the first floor. This allows me to use the AutoCAD ID command to identify specific elevations by selecting a point. This works great in modelspace. However, if you run the ID command in paperpace and select a point it gives you the paperspace location. I would like to find a way to select a point in paperspace of a location in modelspace that is visible in a viewport and get the modelspace elevation. The way I am doing it now it that I open the viewport select the point and close the viewport. I would love to streamline this process. Any help is greatly appreciated. Thanks.

    Manuel

  2. #2
    Member
    Join Date
    2015-10
    Location
    Alhambra
    Posts
    27
    Login to Give a bone
    0

    Default Re: Paperspace viewport ID command

    When you are in paperspace, just type the command Mspace which will pop your cursor inside the vport and then you can use the ID command. When complete type the command Pspace to toggle back.

  3. #3
    I could stop if I wanted to
    Join Date
    2001-01
    Posts
    257
    Login to Give a bone
    0

    Default Re: Paperspace viewport ID command

    Pli
    I am already doing that. I would like to avoid constantly going between spaces to get an ID. Thanks.

  4. #4
    Member
    Join Date
    2015-10
    Location
    Alhambra
    Posts
    27
    Login to Give a bone
    0

    Default Re: Paperspace viewport ID command

    Then try IDP.lsp function that does this for you automatically.

    Code:
    ; idp.lsp if in pspace, will toggle to mspace to get id point then return to pspace
    (defun c:idp (/ cvport cmdecho menuecho)
     (setq cmdecho(getvar"cmdecho")) 				; save current command echo setting
     (setq menuecho(getvar"menuecho")) 			; save current menu echo setting
     (setvar"menuecho"1) 						; make sure menu echo is on
     (if(= 1 (setq cvport(getvar"cvport")))(command"_.Mspace")) 	; chk if in pspace, then toggle to mspace
     (command"_.ID") 						; start ID command
     (while (= 1 (logand 1 (getvar 'CMDACTIVE))) (command pause)) 	; pause until ID command is complete
     (setvar"cmdecho"0) 						; turn command echo off
     (if(= 1 cvport)(command"_.Pspace"))(princ) 		; if was in pspace willn toggle back
     (setvar"cmdecho"cmdecho) 					; set command echo back
     (setvar"menuecho"menuecho)(princ) 			; set menu echo back
    )(princ)
    (princ"\nIDP command loaded.")(princ)

Similar Threads

  1. Replies: 2
    Last Post: 2017-08-09, 01:04 PM
  2. Paperspace viewport properties
    By cadtag in forum AutoCAD General
    Replies: 4
    Last Post: 2009-12-02, 01:45 PM
  3. Model Space vs. Viewport in Paperspace
    By jsitton in forum AutoCAD General
    Replies: 9
    Last Post: 2008-03-27, 03:19 AM
  4. Paperspace Viewport Scale
    By margaretl in forum AutoLISP
    Replies: 3
    Last Post: 2007-07-30, 02:12 PM
  5. Viewport affects paperspace
    By bmv0220 in forum AutoCAD General
    Replies: 6
    Last Post: 2004-11-11, 06:03 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •